#include <Rcpp.h>
using namespace Rcpp;

// [[Rcpp::export]]
NumericMatrix fastdist(NumericMatrix x, NumericMatrix y) {
  int N = x.nrow(), M = y.nrow();
  NumericMatrix res(N,M);

  for(int i=0; i<N; i++){
    for(int j=0; j<M; j++){
      res(i,j) = sum((x(i,_)-y(j,_))*(x(i,_)-y(j,_)));
    }
  }
  return res;
}
